/* _______              __
  / ___/ /  ___  __ _  / /  ___
 / /__/ _ \/ _ \/  ' \/ _ \/ _ \
 \___/_//_/\___/_/_/_/_.__/\___/
*/
//
// This software is copyright (C) by the Lawrence Berkeley
// National Laboratory.  Permission is granted to reproduce
// this software for non-commercial purposes provided that
// this notice is left intact.
//
// It is acknowledged that the U.S. Government has rights to
// this software under Contract DE-AC03-765F00098 between
// the U.S.  Department of Energy and the University of
// California.
//
// This software is provided as a professional and academic
// contribution for joint exchange. Thus it is experimental,
// is provided ``as is'', with no warranties of any kind
// whatsoever, no support, no promise of updates, or printed
// documentation. By using this software, you acknowledge
// that the Lawrence Berkeley National Laboratory and
// Regents of the University of California shall have no
// liability with respect to the infringement of other
// copyrights by any part of this software.
//

#ifndef _CHOMBO_VERSION_H_
#define _CHOMBO_VERSION_H_

#define CHOMBO_VERSION 1.5
//
// $Id: CHOMBO_VERSION.H,v 1.8 2004/04/15 21:08:50 dbs Exp $
//
/**  \mainpage Chombo: Block-Structured Adaptive Mesh Refinement Library

<a href="http://seesar.lbl.gov/anag/chombo">Chombo Web Page</a>

<table WIDTH=640 HEIGHT=26 BORDER=0 CELLPADDING=0 CELLSPACING=0>
<tr>
<td WIDTH=106 BGCOLOR=#303784>&nbsp;</td>
<td WIDTH=534 BGCOLOR=#FFEF89>
<a NAME="What is Chombo?">What is Chombo?</a></b></td>
</tr>
</table><br CLEAR=ALL>

The Chombo package provides a set of tools for implementing
finite difference methods for the solution of
partial differential equations on block-structured
adaptively refined rectangular grids.
Both elliptic and time-dependent modules
are included.  Support for parallel platforms and standardized
self-describing file formats are included.

<p>

Chombo provides a
distributed infrastructure for parallel calculations over
block-structured, adaptively refined grids.
Chombo's design is uniquely flexible and accessible.
Any collaborator will be able to develop parallel
applications to solve the partial differential equations
in which she is interested with far shorter development
times than would be possible without the infrastructure.
Very careful design and documentation
allows said collaborator to enter the software at
many levels.  She  will be able to
use Chombo to investigate deep technical issues of adaptive
mesh refinement algorithms or to simply adapt the example
applications to solve different scientific problems.

*/

/**
@ingroup macros
 The major version number of Chombo -- an integer.

           The Chombo version number has the form:

               CHOMBO_VERSION_MAJOR.CHOMBO_VERSION_MINOR
*/
#define CHOMBO_VERSION_MAJOR 1

/** @ingroup macros

 The minor version number of Chombo -- an integer.

*/
#define CHOMBO_VERSION_MINOR 5

#endif /*CHOMBO_VERSION_H*/
